#ifndef _DEVO10_TARGET_H_
#define _DEVO10_TARGET_H_

#define TXID 0x0a
#define VECTOR_TABLE_LOCATION 0x4000
#define SPIFLASH_SECTOR_OFFSET 54
#define SPIFLASH_SECTORS 1024

#define MIN_BRIGHTNESS 0
#define HAS_TOUCH 0
#define HAS_VIBRATINGMOTOR 1
#define HAS_LOGICALVIEW 1
#define DATALOG_ENABLED 1
#define DEFAULT_BATTERY_ALARM 8000
#define DEFAULT_BATTERY_CRITICAL 7500
#define MAX_BATTERY_ALARM 12000
#define MIN_BATTERY_ALARM 5500
#define MAX_POWER_ALARM 60

#define NUM_OUT_CHANNELS 20
#define NUM_VIRT_CHANNELS 10

#define NUM_TRIMS 10
#define NUM_TOGGLES 5
#define MAX_POINTS 13
#define NUM_MIXERS ((NUM_OUT_CHANNELS + NUM_VIRT_CHANNELS) * 4)

#define INP_HAS_CALIBRATION 6

/* Compute voltage from y = 0.003246x + 0.4208 */
#define VOLTAGE_NUMERATOR 324
#define VOLTAGE_OFFSET    421

#define ENABLE_LAYOUT_EDIT 1
#endif //_DEVO10_TARGET_H_
